Admiral

Credentials

List credentials

GET
/v1/credentials

Scope: credential:read

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Query Parameters

filter?filter

Filter expression to narrow results. Uses the Admiral filter DSL.

Filterable fields:

  • name: filter by credential name.
  • type: filter by credential type.
  • labels.key: filter by label key.

Example: field['type'] = 'TYPE_GITHUB_APP'

Lengthlength <= 1024
page_size?page_size

The page_size query parameter.

Formatint32
Range0 <= value <= 100
page_token?page_token

The page_token query parameter.

Response Body

application/json

curl -X GET "https://example.com/v1/credentials"
{  "credentials": [    {      "id": "string",      "name": "string",      "description": "string",      "type": "TYPE_UNSPECIFIED",      "auth_config": {        "basic_auth": {          "username": "string",          "password": "string"        }      },      "labels": {        "property1": "string",        "property2": "string"      },      "created_by": {        "id": "string",        "display_name": "string",        "email": "string"      },      "created_at": "2023-01-15T01:30:15.01Z",      "updated_at": "2023-01-15T01:30:15.01Z",      "allowed_hosts": [        "string"      ],      "last_used_at": "2023-01-15T01:30:15.01Z"    }  ],  "next_page_token": "string"}